using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HCM.BusinessEntities;
using HCM.BajaWare.BusinessLogic;

namespace HCM.BajaWare.Services{
    public partial class MonitoreoDatosService : IMonitoreoDatosService
    {
        public List<MonitoreoDatosBajaWare> ListadoMonitoreo(DateTime Fecha)
        {
            List<MonitoreoDatosBajaWare> result = null;
            try
            {
                result = (new MonitoreoDatosLogic()).ListadoMonitoreo(Fecha);
            }
            catch (Exception ex)
            {
#if (DEBUG)
                Console.WriteLine("Error en MonitoreoDatosService. ListadoMonitoreo: " + ex.Message);
#else
                    EventLogManager.LogErrorEntry("Error en MonitoreoDatosService.ListadoMonitoreo: " + ex.Message);
                    //TODO: Codificar envío de notificación de error al EventLog
#endif
            }
            return result;

        }
    }
}
